## firefox-3.5 3.5~b4~hg20090330r24021+nobinonly

=== js/tests/Makefile ===
# -*- Makefile -*-
TEST_HTTP ?= test.mozilla.com
TEST_JS = $(shell find . -name '*.js' -print)
CURRDIR=$(shell pwd)
JSDIR=$(shell basename $(CURRDIR))

all: menu.html \
	menu-list.txt \
	spidermonkey-extensions-n.tests \
	failures.txt

menu.html: menuhead.html menufoot.html Makefile  spidermonkey-n.tests $(TEST_JS)
	perl mklistpage.pl > menubody.html
	cat menuhead.html menubody.html menufoot.html > menu.html

spidermonkey-extensions-n.tests: $(TEST_JS)
	find . -name '*.js' | grep -v shell.js | grep -v browser.js | grep '/extensions/' | sed 's|\.\/||' | sort > $@

menu-list.txt:
	echo "http://$(TEST_HTTP)/tests/mozilla.org/$(JSDIR)/menu.html" > menu-list.txt

confidential-failures.txt:
	touch confidential-failures.txt

public-failures.txt.expanded: public-failures.txt universe.data
	./pattern-expander.pl public-failures.txt > public-failures.txt.expanded

confidential-failures.txt.expanded: confidential-failures.txt universe.data
	./pattern-expander.pl confidential-failures.txt > confidential-failures.txt.expanded

failures.txt: public-failures.txt.expanded confidential-failures.txt.expanded
	sort -u public-failures.txt.expanded confidential-failures.txt.expanded > failures.txt

clean:
	rm -f menubody.html menu.html menu-list.txt failures.txt *failures.txt.expanded excluded-*.tests included-*.tests urllist*.html urllist*.tests

=== build/wince/tools/Makefile ===
#
# ***** BEGIN LICENSE BLOCK *****
# Version: MPL 1.1/GPL 2.0/LGPL 2.1
#
# The contents of this file are subject to the Mozilla Public License Version
# 1.1 (the "License"); you may not use this file except in compliance with
# the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS" basis,
# WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
# for the specific language governing rights and limitations under the
# License.
#
# The Original Code is Mozilla CE Shunt Library.
#
# The Initial Developer of the Original Code is Mozilla Corporation.
# Portions created by the Initial Developer are Copyright (C) 2008
# the Initial Developer. All Rights Reserved.
#
# Contributor(s):
#	John Wolfe (wolfe@lobo.us)
#
# Alternatively, the contents of this file may be used under the terms of
# either of the GNU General Public License Version 2 or later (the "GPL"),
# or the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
# in which case the provisions of the GPL or the LGPL are applicable instead
# of those above. If you wish to allow use of your version of this file only
# under the terms of either the GPL or the LGPL, and not to allow others to
# use your version of this file under the terms of the MPL, indicate your
# decision by deleting the provisions above and replace them with the notice
# and other provisions required by the GPL or the LGPL. If you do not delete
# the provisions above, a recipient may use your version of this file under
# the terms of any one of the MPL, the GPL or the LGPL.
#
# ***** END LICENSE BLOCK *****

DEVENV_FLAG=-

CC=cl -O2

MOZCE_DEVENV=vs$(MOZ_MSVCVERSION)

MOZCE_SHUNT_SLN=../shunt/build/$(MOZCE_DEVENV)/mozce_shunt_static.sln
MOZCE_PROJECT="Release|Windows Mobile 6 Professional SDK (ARMV4I)"
MOZCE_SHUNT_DLL=../shunt/build/$(MOZCE_DEVENV)/mozce_shunt.dll
MOZCE_TOOLS_DIR=$(MOZCE_DEVENV)ppc2003arm

BUILD_SWITCH=$(DEVENV_FLAG)Build
REBUILD_SWITCH=$(DEVENV_FLAG)Rebuild
CLEAN_SWITCH=$(DEVENV_FLAG)clean


all: output_some_env \
	 $(MOZCE_TOOLS_DIR)/arm-wince-as.exe \
	 $(MOZCE_TOOLS_DIR)/arm-wince-gcc.exe \
	 $(MOZCE_TOOLS_DIR)/arm-wince-lib.exe \
	 $(MOZCE_TOOLS_DIR)/arm-wince-link.exe \
	 $(MOZCE_TOOLS_DIR)/arm-wince-res.exe 
	devenv $(MOZCE_SHUNT_SLN) $(BUILD_SWITCH) $(MOZCE_PROJECT)

clobber:
	rm -f $(MOZCE_TOOLS_DIR)/*.exe
	rm -f $(MOZCE_TOOLS_DIR)/*.obj
	rm -f *.obj
	rm -f *.exe
	rm -rf bin
	devenv $(MOZCE_SHUNT_SLN) $(CLEAN_SWITCH) $(MOZCE_PROJECT)

output_some_env:
	@echo FOUND $(MOZCE_DEVENV)
	@echo FOUND $(MOZCE_DEVENV): VSINSTALLDIR=$(VSINSTALLDIR) / MINGW32=$(MINGW32) / MSYSTEM=$(MSYSTEM)
	@echo FOUND $(MOZCE_DEVENV)

$(MOZCE_TOOLS_DIR)/arm-wince-as.exe:	$(MOZCE_TOOLS_DIR)/arm-wince-as.c $(MOZCE_TOOLS_DIR)/toolspath.h
	$(CC) $(MOZCE_TOOLS_DIR)/arm-wince-as.c
	mkdir -p bin;
	cp arm-wince-as.exe bin; mv arm-wince-as.exe $(MOZCE_TOOLS_DIR); rm *.obj

$(MOZCE_TOOLS_DIR)/arm-wince-gcc.exe:	$(MOZCE_TOOLS_DIR)/arm-wince-gcc.c $(MOZCE_TOOLS_DIR)/toolspath.h
	$(CC) $(MOZCE_TOOLS_DIR)/arm-wince-gcc.c
	mkdir -p bin;
	cp arm-wince-gcc.exe bin; mv arm-wince-gcc.exe $(MOZCE_TOOLS_DIR); rm *.obj

$(MOZCE_TOOLS_DIR)/arm-wince-lib.exe:	$(MOZCE_TOOLS_DIR)/arm-wince-lib.c $(MOZCE_TOOLS_DIR)/toolspath.h
	$(CC) $(MOZCE_TOOLS_DIR)/arm-wince-lib.c
	mkdir -p bin;
	cp arm-wince-lib.exe bin; mv arm-wince-lib.exe $(MOZCE_TOOLS_DIR); rm *.obj

$(MOZCE_TOOLS_DIR)/arm-wince-link.exe:	$(MOZCE_TOOLS_DIR)/arm-wince-link.c $(MOZCE_TOOLS_DIR)/toolspath.h
	$(CC) $(MOZCE_TOOLS_DIR)/arm-wince-link.c
	mkdir -p bin;
	cp arm-wince-link.exe bin; mv arm-wince-link.exe $(MOZCE_TOOLS_DIR); rm *.obj

$(MOZCE_TOOLS_DIR)/arm-wince-res.exe:	$(MOZCE_TOOLS_DIR)/arm-wince-res.c $(MOZCE_TOOLS_DIR)/toolspath.h
	$(CC) $(MOZCE_TOOLS_DIR)/arm-wince-res.c
	mkdir -p bin;
	cp arm-wince-res.exe bin; mv arm-wince-res.exe $(MOZCE_TOOLS_DIR); rm *.obj

## firefox-3.5 3.5.7+nobinonly-1jolicloud1

=== debian/changelog ===
firefox-3.5 (3.5.7+nobinonly-1jolicloud1) robby; urgency=low

  * Jolicloud packaging

 -- Benjamin Ryzman <benjamin@jolicloud.org>  Wed, 06 Jan 2010 10:23:32 +0100

firefox-3.5 (3.5.7+nobinonly-0ubuntu0.9.04.1) jaunty-security; urgency=low

  * New upstream release v3.5.7 (FIREFOX_3_5_7_RELEASE)
    - see USN-878-1

 -- Alexander Sack <asac@ubuntu.com>  Wed, 06 Jan 2010 06:18:05 +0100

firefox-3.5 (3.5.6+nobinonly-1jolicloud1) robby; urgency=low

  * Jolicloud packaging
  * adjust packaging to support localized searchplugins
    + ship default searchplugins in /usr/lib/firefox-addons/searchplugins/en-US/
      and link that directory to $(DEBIAN_FF3_DIR)/distribution/searchplugins instead
      of the main firefox APP_DIR
      - update debian/rules
    + set default searchplugin locale pref to en-US - which is used as a
      fallback if no matching searchplugins/LOCALE directory exists for the
      current locale directory
      - update debian/firefox.js
    + do not install upstream searchplugins through debhelper file and
      install "debsearch" to the new distribution/.../en-US location
      - update debian/firefox-3.0.install
    + ship "common" searchplugins link that points to the old default
      searchplugins location '/usr/lib/firefox-addons/searchplugins/
      - update debian/rules

 -- Benjamin Ryzman <benjamin@jolicloud.org>  Thu, 31 Dec 2009 13:43:56 +0100

firefox-3.5 (3.5.6+nobinonly-0ubuntu0.9.04.1) jaunty-security; urgency=low

  * New upstream release v3.5.6 (FIREFOX_3_5_6_RELEASE)
    - see USN-874-1

  * defer syslib stability/performance updates for sqlite and cairo (no effect) to SRU
    - add debian/patches/defer_syslibs_bumps_to_sru.patch
    - update debian/patches/series

 -- Alexander Sack <asac@ubuntu.com>  Wed, 16 Dec 2009 01:00:54 +0100

firefox-3.5 (3.5.5+nobinonly-0ubuntu0.9.04.1) jaunty-security; urgency=low

  * New upstream release v3.5.5 (FIREFOX_3_5_5_RELEASE)
    * fixes regressions/crashes

 -- Alexander Sack <asac@ubuntu.com>  Mon, 09 Nov 2009 12:44:07 +0100

firefox-3.5 (3.5.4+nobinonly-0ubuntu0.9.04.1) jaunty-security; urgency=low

  * New upstream release v1.9.1.4 (FIREFOX_3_5_4_RELEASE)
    - see USN-853-1

 -- Alexander Sack <asac@ubuntu.com>  Wed, 28 Oct 2009 16:38:48 +0100

firefox-3.5 (3.5.3+build1+nobinonly-0ubuntu0.9.04.2) jaunty-security; urgency=low

  * security/stability update v3.5.3 build1 (FIREFOX_3_5_3_BUILD1)
    - see USN-821-1
    - fix LP: #333127 - Firefox 3.5 and above crash on full screen flash video
    - fix LP: #236853 - firefox crashed with SIGSEGV in NSSRWLock_LockRead_Util()
  * fix LP: #404827 - safe-browsing now working in shiretoko; add
    --enable-safe-browsing configure flag to enable this again
    - update debian/rules

 -- Alexander Sack <asac@ubuntu.com>  Thu, 10 Sep 2009 19:19:15 +0200

firefox-3.5 (3.5.2+nobinonly-0ubuntu0.9.04.1) jaunty-security; urgency=low

  * security/stability update v3.5.2 (FIREFOX_3_5_2_RELEASE)
  * Refresh diverged patch
    - update debian/patches/nspr_flags_by_pkg_config_hack.patch

 -- Alexander Sack <asac@ubuntu.com>  Mon, 03 Aug 2009 16:58:27 +0200

firefox-3.5 (3.5.1+build1+nobinonly-0ubuntu0.9.04.1) jaunty-security; urgency=low

  * security/stability update v3.5.1 build1 (FIREFOX_3_5_1_BUILD1)

 -- Alexander Sack <asac@ubuntu.com>  Thu, 16 Jul 2009 18:22:19 +0200

firefox-3.5 (3.5+nobinonly-0ubuntu0.9.04.2) UNRELEASED; urgency=low

  * fix LP: #396460 - Firefox 3.5 'final' version is in repos but tooltip
    in menu says 'beta'; we update the shiretoko desktop file to not
    say "beta" anymore
    - update debian/firefox-3.5-shiretoko.desktop

 -- Alexander Sack <asac@ubuntu.com>  Tue, 07 Jul 2009 12:02:19 +0200

firefox-3.5 (3.5+nobinonly-0ubuntu0.9.04.1) jaunty-security; urgency=low

  [ Fabien Tassin ]
  * New upstream release taken from tag FIREFOX_3_5_RELEASE
  * Bump Depends/Build-Depends for xulrunner-1.9.1(-dev) to >= 1.9.1
    - update debian/control
  * Bump EM_TRANSLATION_{MIN,MAX}_VERSION and MaxVersion/MinVersion
    (from application.ini)
    - update debian/rules

 -- Alexander Sack <asac@ubuntu.com>  Wed, 01 Jul 2009 00:30:14 +0200

firefox-3.5 (3.5~rc2+nobinonly-0ubuntu1) karmic; urgency=low
 
  * New upstream release taken from tag FIREFOX_3_5rc2_RELEASE
  * Fix startup page, release notes and first run bogus URLs when
    using non official brandings. Also fix bogus addons URLs due
    to our change of appname (LP: #388880)
    - update debian/patches/firefox-profilename
  * Fix profile migrator broken when using abrowser-3.5 (LP: #331654)
    - update debian/firefox.sh.in
  * Bump Standards-Version to 3.8.1
    - update debian/control
  * Call update-menus
    - update debian/firefox-3.5.postinst.in
  * Make firefox-3.5-dbg depend on firefox-3.5 with the exact same version
    - update debian/control
  * Bump Depends and Build-depends to xulrunner* >= 1.9.1~rc2
    - update debian/control
  * Refresh diverged patch:
    - update debian/patches/firefox-profilename
 
 -- Fabien Tassin <fta@ubuntu.com>  Fri, 19 Jun 2009 18:55:00 +0200

firefox-3.5 (3.5~b4+nobinonly-0ubuntu2) karmic; urgency=low

  * bump (build-)depends version on xulrunner-1.9.1 to >= 1.9.1~b4
    - update debian/control

 -- Alexander Sack <asac@ubuntu.com>  Wed, 06 May 2009 22:27:21 +0200

firefox-3.5 (3.5~b4+nobinonly-0ubuntu1) karmic; urgency=low

  * New upstream release 3.5 b4

  [ H. Montoliu ]
  * fix LP: #361052 - firefox apport hook fails to retrieve pluginreg.dat file
    - update debian/apport/firefox-3.5.py - removed unused code and minor refactoring

 -- Alexander Sack <asac@ubuntu.com>  Wed, 29 Apr 2009 15:19:59 +0200

firefox-3.5 (3.5~b4+nobinonly-0ubuntu0.9.04.1) jaunty-security; urgency=low

  New upstream release 3.5b4

  [ Fabien Tassin <fta@ubuntu.com> ]
  * New upstream snapshot, needed to initiate the firefox 3.1->3.5 transition (LP: #352995)
  * Add libstartup-notification0-dev to build-deps as it now seems to be
    mandatory on lpia


=== debian/control ===
Source: firefox-3.5
Section: web
Priority: optional
Maintainer: Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>
Vcs-Bzr: https://code.launchpad.net/~mozillateam/firefox/firefox-3.5.head
Build-Depends: cdbs, debhelper (>= 5), sharutils, m4,
	autotools-dev, autoconf2.13,
	quilt, patchutils (>= 0.2.25),
	bzip2, zlib1g-dev, zip,
	libx11-dev, libxt-dev,
	libgtk2.0-dev (>= 2.10),
	liborbit2-dev, libidl-dev (>= 0.8.0),
	libxft-dev, libfreetype6-dev,
	libpng12-dev, libjpeg62-dev,
	libxrender-dev, libxinerama-dev,
	libcairo2-dev, libpixman-1-dev,
	libgnome2-dev, libgconf2-dev, libgnomevfs2-dev, libgnomeui-dev,
	libstartup-notification0-dev,
	libasound2-dev,
	binutils (>= 2.17-1) [mips mipsel],
	libhunspell-dev,
	libdbus-glib-1-dev (>= 0.60),
	xulrunner-1.9.1-dev (>= 1.9.1),
	libnspr4-dev, libnss3-dev,
	mozilla-devscripts (>= 0.10~),
	lsb-release
Standards-Version: 3.8.1

Package: firefox-3.5
Architecture: any
Depends: fontconfig,
	psmisc,
	debianutils (>= 1.16),
	xulrunner-1.9.1 (>= 1.9.1), 
	${shlibs:Depends}, ${misc:Depends},
	firefox-3.5-branding | abrowser-3.5-branding
Recommends: ubufox
Suggests: firefox-3.5-gnome-support (= ${binary:Version}), latex-xft-fonts, libthai0
Provides: www-browser, firefox-3.1, firefox-3.0, firefox-3.0-venkman, firefox-3.0-dom-inspector, firefox-dom-inspector
Conflicts: firefox-3.1 (<< 3.1~b4~hg20090317), firefox-3.0 (<< 3.1~), firefox-3.0-venkman (<< 3.1~), firefox-3.0-dom-inspector (<< 3.1~), firefox-dom-inspector (<< 3.1~)
Replaces: firefox-3.1, firefox-3.0 (<< 3.1~), firefox-3.0-venkman (<< 3.1~), firefox-3.0-dom-inspector (<< 3.1~), firefox-dom-inspector (<< 3.1~)
Description: safe and easy web browser from Mozilla
 Firefox delivers safe, easy web browsing. A familiar user interface,
 enhanced security features including protection from online identity theft,
 and integrated search let you get the most out of the web.

Package: firefox-3.5-branding
Architecture: any
Depends: firefox-3.5 (= ${binary:Version}), ${misc:Depends}
Replaces: firefox-3.5, firefox-3.1-branding, firefox-3.0-branding (<< 3.1~)
Provides: firefox-3.1-branding, firefox-3.0-branding
Conflicts: abrowser-3.5-branding, firefox-3.1-branding (<< 3.1~b4~hg20090317), firefox-3.0-branding (<< 3.1~)
Description: Package that ships the firefox branding
 This package ships the Firefox branding bits. If you remove this package your 
 user experience will become that of the abrowser.

Package: firefox-3.5-gnome-support
Architecture: any
Section: gnome
Depends: ${shlibs:Depends}, ${misc:Depends}, firefox-3.5 (= ${binary:Version}), xulrunner-1.9.1-gnome-support
Provides: gnome-www-browser, firefox-3.1-gnome-support, firefox-3.0-gnome-support
Conflicts: firefox-3.1-gnome-support (<< 3.1~b4~hg20090317), firefox-3.0-gnome-support (<< 3.1~)
Replaces: firefox-3.1-gnome-support, firefox-3.0-gnome-support (<< 3.1~)
Description: Support for Gnome in Mozilla Firefox
 This is an extension to Firefox that allows it to use protocol
 handlers from GnomeVFS, such as smb or sftp, and other GNOME
 integration features.

Package: firefox-3.5-dbg
Architecture: any
Section: debug
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends}, firefox-3.5 (= ${binary:Version})
Conflicts: firefox-3.1-dbg (<< 3.1~b4~hg20090317)
Replaces: firefox-3.1-dbg
Provides: firefox-3.1-dbg
Description: firefox-3.5 debug symbols
 Debug symbols for Firefox 3.5.

Package: firefox-3.5-dev
Architecture: any
Section: devel
Depends: firefox-3.5 (= ${binary:Version}), ${misc:Depends}
Conflicts: firefox-3.1-dev (<< 3.1~b4~hg20090317), firefox-3.0-dev (<< 3.1~)
Replaces: firefox-3.1-dev, firefox-3.0-dev (<< 3.1~)
Provides: firefox-3.1-dev, firefox-3.0-dev
Description: Development files for Mozilla Firefox
 This package contains the development headers, idl files and static libraries 
 needed to develop applications using Mozilla Firefox.

Package: firefox
Architecture: all
Depends: firefox-3.5, firefox-3.5-branding
Description: meta package for the popular mozilla web browser
 Firefox delivers safe, easy web browsing. A familiar user interface,
 enhanced security features including protection from online identity theft,
 and integrated search let you get the most out of the web.
 .
 This is a meta package that will point to the latest firefox package in ubuntu.
 Don't remove this if you want to receive automatic major version upgrades for
 this package in future.

Package: firefox-gnome-support
Architecture: all
Depends: firefox-3.5-gnome-support
Description: meta package pointing to the latest gnome-support package for firefox
 This is a meta package that will always point to the latest gnome-support
 package for firefox. Don't remove this if you want to receive automatic major
 version upgrades for this package in future.

Package: firefox-3.0
Architecture: all
Depends: firefox-3.5
Description: dummy upgrade package for firefox-3.0 -> firefox-3.5
 This is a transitional package so firefox-3.0 users get firefox-3.5 on
 upgrades. It can be safely removed.

Package: firefox-dom-inspector
Architecture: all
Depends: firefox-3.5
Description: dummy upgrade package for firefox-3.0 -> firefox-3.5
 This is a transitional package so firefox-3.0 users get firefox-3.5 on
 upgrades. It can be safely removed.

Package: firefox-3.0-dom-inspector
Architecture: all
Depends: firefox-3.5
Description: dummy upgrade package for firefox-3.0 -> firefox-3.5
 This is a transitional package so firefox-3.0 users get firefox-3.5 on
 upgrades. It can be safely removed.

Package: firefox-3.0-venkman
Architecture: all
Depends: firefox-3.5
Description: dummy upgrade package for firefox-3.0 -> firefox-3.5
 This is a transitional package so firefox-3.0 users get firefox-3.5 on
 upgrades. It can be safely removed.

Package: firefox-3.0-gnome-support
Architecture: all
Depends: firefox-3.5-gnome-support
Description: dummy upgrade package for firefox-3.0 -> firefox-3.5
 This is a transitional package so firefox-3.0 users get firefox-3.5 on
 upgrades. It can be safely removed.

Package: firefox-3.0-dev
Architecture: all
Depends: firefox-3.5-dev
Description: dummy upgrade package for firefox-3.1 -> firefox-3.5
 This is a transitional package so firefox-3.0 users get firefox-3.5 on
 upgrades. It can be safely removed.

Package: firefox-3.0-branding
Architecture: all
Depends: firefox-3.5-branding
Description: dummy upgrade package for firefox-3.0 -> firefox-3.5
 This is a transitional package so firefox-3.0 users get firefox-3.5 on
 upgrades. It can be safely removed.

Package: firefox-3.1
Architecture: all
Depends: firefox-3.5
Description: dummy upgrade package for firefox-3.1 -> firefox-3.5
 This is a transitional package so firefox-3.1 users get firefox-3.5 on
 upgrades. It can be safely removed.

Package: firefox-3.1-gnome-support
Architecture: all
Depends: firefox-3.5-gnome-support
Description: dummy upgrade package for firefox-3.1 -> firefox-3.5
 This is a transitional package so firefox-3.1 users get firefox-3.5 on
 upgrades. It can be safely removed.

Package: firefox-3.1-dev
Architecture: all
Depends: firefox-3.5-dev
Description: dummy upgrade package for firefox-3.1 -> firefox-3.5
 This is a transitional package so firefox-3.1 users get firefox-3.5 on
 upgrades. It can be safely removed.

Package: firefox-3.1-branding
Architecture: all
Depends: firefox-3.5-branding
Description: dummy upgrade package for firefox-3.1 -> firefox-3.5
 This is a transitional package so firefox-3.1 users get firefox-3.5 on
 upgrades. It can be safely removed.

Package: firefox-3.1-dbg
Architecture: all
Depends: firefox-3.5-dbg
Description: dummy upgrade package for firefox-3.1 -> firefox-3.5
 This is a transitional package so firefox-3.1 users get firefox-3.5 on
 upgrades. It can be safely removed.

=== debian/rules ===
#!/usr/bin/make -f

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_BUILD_ARCH		?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

DEBIAN_DISTRIBUTION := $(shell dpkg-parsechangelog | sed -n 's/^Distribution: *//p')
DEBIAN_NAME			:= $(shell dpkg-parsechangelog | sed -n 's/^Source: *//p')

DEBIAN_APP_NAME		:= $(shell echo $(DEBIAN_NAME) | sed -e 's/-.*//')
DEBIAN_APP_NAME_VER	:= $(shell echo $(DEBIAN_NAME) | sed -e 's/.*-//g')
DEBIAN_APP_NAME_OTHER	:= abrowser

DEBIAN_NAME_OTHER	:= $(DEBIAN_APP_NAME_OTHER)-$(DEBIAN_APP_NAME_VER)
BRANDING_NAME_OTHER	:= awesome-browser
DEBIAN_META_NAME	:= $(shell grep '^Package: $(DEBIAN_APP_NAME)$$' $(CURDIR)/debian/control | sed -e 's/^Package: //')

DEBIAN_VERSION		:= $(shell dpkg-parsechangelog | sed -n 's/^Version: *//p')
PACKAGE_VERSION		:= $(shell dpkg-parsechangelog | sed -n 's/^Version: .*-\(.*\)$$/\1/p')
DEBIAN_XUL_VER		:= $(shell MALLOC_OPTIONS=O xulrunner-1.9.1 --gre-version)
DEBIAN_XUL_DEV		:= /usr/lib/xulrunner-devel-$(DEBIAN_XUL_VER)
DEBIAN_XUL_DIR		:= usr/lib/xulrunner-$(DEBIAN_XUL_VER)
DEBIAN_FF3_VER		 = $(shell cat $(DEB_BUILDDIR)/browser/config/version.txt)
DEBIAN_FF3_DIR		 = usr/lib/$(DEBIAN_APP_NAME)-$(DEBIAN_FF3_VER)
DEB_TAR_SRCDIR		:= mozilla
DEB_BUILDDIR		= build-tree/mozilla

MOZCLIENT_PROJECTNAME	:= $(DEBIAN_NAME)
MOZCLIENT_PROJECTDIR	:= $(CURDIR)/debian/mozclient

# minVersion and maxVersion used in install.rdf
EM_TRANSLATION_VERSION     = $(DEBIAN_FF3_VER)
EM_TRANSLATION_MIN_VERSION = 3.5
EM_TRANSLATION_MAX_VERSION = 3.5.*

EXTRA_SYSTEM_CONFIGURE_FLAGS = $(NULL)

FORCE_OFFICIAL_BRANDING = 1

DESKTOP  = $(DEBIAN_NAME_OTHER).desktop
ifneq (,$(FORCE_OFFICIAL_BRANDING))
	# official branding for final and final RCs builds
	BRANDING = --enable-official-branding
	DESKTOP_BRANDED  = $(DEBIAN_NAME)-final.desktop
else
# Change branding based on Version
ifneq (,$(findstring ~b,$(DEBIAN_VERSION)))
	# codename branding for beta
	BRANDING = --with-branding=browser/branding/unofficial
	DESKTOP_BRANDED  = $(DEBIAN_NAME)-shiretoko.desktop
else
ifneq (,$(findstring ~hg,$(DEBIAN_VERSION)))
	# minefield branding for snapshots
	BRANDING = $(NULL)
	DESKTOP_BRANDED  = $(DEBIAN_NAME)-minefield.desktop
else
	# codename branding for milestones
	BRANDING = --with-branding=browser/branding/unofficial
	DESKTOP_BRANDED  = $(DEBIAN_NAME)-shiretoko.desktop
endif
endif
endif

# translation flags
MOZ_TRANSLATION_AUTO_XPI_OUTDIR := debian/lp-export-xpis/
MOZ_TRANSLATION_AUTO_XPI_SEARCHDIRS := debian/$(DEBIAN_NAME)
MOZ_TRANSLATION_AUTO_XPI_LOCALE := en-US

DEB_AUTO_UPDATE_AUTOCONF=2.13

include /usr/share/cdbs/1/rules/tarball.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/cdbs/1/class/autotools.mk
include $(CURDIR)/debian/mozclient/$(DEBIAN_NAME).mk
include /usr/share/mozilla-devscripts/lp-locale-export.mk

# We don't want $(DEB_BUILDDIR)/README to be shipped as a doc
DEB_INSTALL_DOCS_ALL := $(NULL)

CFLAGS = -g -mtune=pentium -fomit-frame-pointer
CXXFLAGS = $(CFLAGS)

LDFLAGS=$(shell echo $$LDFLAGS | sed -e 's/-Wl,-Bsymbolic-functions//')
export LDFLAGS

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	EXTRA_SYSTEM_CONFIGURE_FLAGS += --disable-optimize
endif

USE_SYSTEM_CAIRO := $(shell pkg-config --exists 'cairo >= 1.5.8'; a=$$?; if test $$a != 1; then echo 1; fi)
# for old cairo versions we cannot use system cairo
ifeq (1,$(USE_SYSTEM_CAIRO))
	EXTRA_SYSTEM_CONFIGURE_FLAGS += --enable-system-cairo
else
	EXTRA_SYSTEM_CONFIGURE_FLAGS += --disable-system-cairo
endif

USE_SYSTEM_SQLITE :=  $(shell pkg-config --exists 'sqlite3 >= 3.6.0'; a=$$?; if test $$a != 1; then echo 1; fi)
ifeq (1,$(USE_SYSTEM_SQLITE))
	EXTRA_SYSTEM_CONFIGURE_FLAGS += --enable-system-sqlite
else
	EXTRA_SYSTEM_CONFIGURE_FLAGS += --disable-system-sqlite
endif

# required for various features such as safe browsing
BUILD_OFFICIAL = 1
export BUILD_OFFICIAL

DEB_CONFIGURE_USER_FLAGS= \
	$(EXTRA_SYSTEM_CONFIGURE_FLAGS) \
	--disable-debug \
	--with-user-appdir=.mozilla \
	--with-system-jpeg=/usr \
	--with-system-zlib=/usr \
	--with-libxul-sdk=$(DEBIAN_XUL_DEV) \
	--with-system-libxul \
	--with-system-nspr \
	--with-system-nss \
	--disable-crashreporter \
	--disable-composer \
	--disable-elf-dynstr-gc \
	--disable-gtktest \
	--disable-install-strip \
	--disable-installer \
	--disable-ldap \
	--disable-mailnews \
	--disable-profilesharing \
	--disable-strip \
	--disable-strip-libs \
	--disable-tests \
	--disable-mochitest \
	--disable-updater \
	--disable-xprint \
	--enable-application=browser \
	--enable-canvas \
	--enable-default-toolkit=cairo-gtk2 \
	--enable-gnomevfs \
	--enable-optimize \
	--enable-pango \
	--enable-postscript \
	--enable-svg \
	--enable-mathml \
	--enable-xft \
	--enable-xinerama \
	--enable-extensions=default,-reporter \
	--enable-safe-browsing \
	--enable-single-profile \
	--enable-system-myspell \
	--with-distribution-id=com.jolicloud \
	$(BRANDING)

UUDECODE = \
	debsearch.gif \
	$(NULL)

DEBIAN_EXECUTABLES = \
	firefox.sh \
	$(NULL)

subst_files = \
	debian/$(DEBIAN_NAME)-gnome-support.postinst \
	debian/$(DEBIAN_NAME).postinst \
	debian/distribution.ini \
	debian/firefox.sh \
	$(NULL)

%: %.in
	sed -e 's,@LIBDIR@,/$(DEBIAN_FF3_DIR),g' \
	    -e 's,@APPNAME@,$(DEBIAN_NAME),g' < $< > $@

debian/firefox.sh: debian/firefox.sh.in
	sed -e 's,@LIBDIR@,/$(DEBIAN_FF3_DIR),g' \
	    -e 's,@META_NAME@,$(DEBIAN_META_NAME),g' \
	    -e 's,@APPVER@,$(DEBIAN_APP_NAME_VER),g' < $< > $@

debian/distribution.ini: debian/distribution.ini.in
	sed -e 's,@PKG_VERSION@,$(PACKAGE_VERSION),g' \
		-e 's,@DEB_DISTRIB@,$(DEBIAN_DISTRIBUTION),g' < $< > $@

debian/migrator/ffox-35-beta-profile-migration-dialog: debian/migrator/main.c
	$(CC) $(CFLAGS) -o $@ $< $(shell pkg-config --cflags --libs gtk+-2.0)

BRANDING_MAKEFILES = ../../browser/branding/$(BRANDING_NAME_OTHER)/Makefile \
	../../browser/branding/$(BRANDING_NAME_OTHER)/locales/Makefile \
	../../browser/branding/$(BRANDING_NAME_OTHER)/content/Makefile \
	$(NULL)

common-post-build-arch::
	cd $(DEB_BUILDDIR); \
		mkdir -p $(CURDIR)/debian/tmp-$(DEBIAN_NAME)-branding/; \
		$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp-$(DEBIAN_NAME)-branding/
	cd $(DEB_BUILDDIR); \
		mkdir -p $(CURDIR)/debian/tmp-$(DEBIAN_NAME_OTHER)-branding/; \
		$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp-$(DEBIAN_NAME_OTHER)-branding/
	
binary-install/$(DEBIAN_NAME)::
	dh_installdirs $(DEBIAN_FF3_DIR)/distribution/
	dh_installdirs -p$(DEBIAN_NAME) /usr/lib/firefox-addons/searchplugins/en-US
	rm -rf debian/$(DEBIAN_NAME)/$(DEBIAN_FF3_DIR)/icons
	rm -rf debian/$(DEBIAN_NAME)/$(DEBIAN_FF3_DIR)/chrome/icons
	dh_install -p$(DEBIAN_NAME) \
		debian/tmp-$(DEBIAN_NAME_OTHER)-branding/$(DEBIAN_FF3_DIR)/chrome/classic.* \
		debian/tmp-$(DEBIAN_NAME_OTHER)-branding/$(DEBIAN_FF3_DIR)/chrome/en-US.* \
		debian/tmp-$(DEBIAN_NAME_OTHER)-branding/$(DEBIAN_FF3_DIR)/chrome/browser.* \
			$(DEBIAN_FF3_DIR)/chrome
	touch debian/$(DEBIAN_NAME)/$(DEBIAN_FF3_DIR)/.autoreg
	if [ -d debian/$(DEBIAN_NAME)/usr/lib/xulrunner-addons/extensions ] ; then \
	  touch $(foreach dir,$(wildcard debian/$(DEBIAN_NAME)/usr/lib/xulrunner-addons/extensions/*),$(dir)/chrome.manifest) ; \
	fi
	dh_install debian/firefox.sh $(DEBIAN_FF3_DIR)
	dh_installdocs -p$(DEBIAN_NAME) debian/firefox.cfg
	dh_install debian/$(DEBIAN_NAME)-restart-required.update-notifier $(DEBIAN_FF3_DIR)
	dh_install debian/migrator/ffox-35-beta-profile-migration-dialog $(DEBIAN_FF3_DIR)
	dh_link $(DEBIAN_FF3_DIR)/firefox.sh usr/bin/$(DEBIAN_NAME)
ifneq (,$(DEBIAN_META_NAME))
	dh_link usr/bin/$(DEBIAN_NAME) usr/bin/$(DEBIAN_APP_NAME)
	dh_link usr/bin/$(DEBIAN_NAME) usr/bin/$(DEBIAN_APP_NAME_OTHER)
	#dh_link $(DEBIAN_FF3_DIR)/$(DEBIAN_APP_NAME) $(DEBIAN_FF3_DIR)/$(#DEBIAN_APP_NAME_OTHER)
